/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved.
 * <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.service.sysmgr.dto.sysmgr.AppButtonC;
import com.crunii.micro.service.sysmgr.dto.sysmgr.AppButtonU;
import com.crunii.micro.service.sysmgr.dto.sysmgr.AppButtonVo;

import java.util.List;

/**
 * @author shenhs create 2023/6/14 14:59
 */
public interface TsmAppService {

	Integer DEF_APP_BUTTON_ID = -1;

	Integer TYPE_PATH = 1;
	Integer TYPE_BUTTON = 2;

	void createAppButton(AppButtonC buttonC);

	void updateAppButton(AppButtonU buttonU);

	void deleteAppButton(Integer id);

	List<AppButtonVo> queryAppButton(Integer id);
}
